E-MailRelay

Static Public Member Functions | List of all members
GNet::DnsMessageRecordType Class Reference

A static class for mapping between a RR type name, such as "AAAA", and its corresponding numeric value. More...

`#include <gdnsmessage.h>`

## Static Public Member Functions
static unsigned int | value (const std::string &type_name)
| Returns the type value for the given type name. More...
static std::string | name (unsigned int type_value)
| Returns the type name for the given type value. More...

## Detailed Description

A static class for mapping between a RR type name, such as "AAAA", and its corresponding numeric value.

Definition at line 164 of file gdnsmessage.h.

## Member Function Documentation

## ◆ name()

std::string GNet::DnsMessageRecordType::name | ( | unsigned int | type_value | ) |
| static

Returns the type name for the given type value.

Definition at line 504 of file gdnsmessage.cpp.

## ◆ value()

unsigned int GNet::DnsMessageRecordType::value | ( | const std::string & | type_name | ) |
| static

Returns the type value for the given type name.

Definition at line 493 of file gdnsmessage.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gdnsmessage.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gdnsmessage.cpp